<?php 
defined('C5_EXECUTE') or die("Access Denied.");

/**
 * ab_show_hide package for Concrete5
 * Copyright Copyright 2017-2018, Alex Borisov
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @package Concrete\Package\ab_show_hide
 */

$editor = $app->make('editor');
?>

<style>
.ab-show-hide-form .text-muted {
    font-size: 0.8em;
}
</style>

<fieldset class="ab-show-hide-form">

    <div class="col-xs-12">
        <div class="form-group">
            <div id="block_note" class="alert alert-info" role="alert">
            <?php echo t('Text to show'); ?>
            </div>
        </div>
    </div>
    
    <div class="col-xs-12">
        <div class="form-group">
            <?php 
            echo $editor->outputBlockEditModeEditor('text_show', $controller->getTextShow());
            echo '<p class="text-muted">' . t('Max 65535 symbols') . '</p>';
            ?>
        </div>
    </div>
    
    <div class="col-xs-12">
        <div class="form-group">
            <div id="block_note" class="alert alert-info" role="alert">
            <?php echo t('Text to hide'); ?>
            </div>
        </div>
    </div>
    
    <div class="col-xs-12">
        <div class="form-group">
            <?php 
            echo $editor->outputBlockEditModeEditor('text_hide', $controller->getTextHide());
            echo '<p class="text-muted">' . t('Max 65535 symbols') . '</p>';
            ?>
        </div>
    </div>
    
    <div class="col-xs-12">
        <div class="form-group">
            <?php
            echo $form->label('btn_text', t('Show/hide button text'));
            echo $form->text('btn_text', $btn_text ? $btn_text : t('show / hide'), ['maxlength' => 100]);
            echo '<p class="text-muted">' . t('Max 100 symbols') . '</p>';
            ?>
        </div>
    </div>

    <div class="col-xs-12">
        <div class="form-group">
            <div class="checkbox">
                <label>
                    <?php
                    echo $form->checkbox('popup', 1, $popup);
                    echo t('Show hidden text in Lightbox?');
                    ?>
                </label>
            </div>
        </div>
    </div>
    
</fieldset>
